#include <iostream>
#include <string>
#include <map>
#include <algorithm>

using namespace std;

int main()
{
    int n;
    cin >> n;

    map<string, int> pojava;

    for(int i=0; i<n; i++){
        string s;
        cin >> s;
        pojava[s]++;
    }

    // fja max_element:
    // http://www.cplusplus.com/reference/algorithm/max_element/
    // za prevodjenje ovog programa potrebno je ukljuciti opciju prevodjenja
    // sa novijim standardom

    // Chekirajte narednu opciju: Settings/Compiler/"Have g++ follow the C++11 ISO C++  language standard [-std=c++11]"
    // Ako u nekoj funkciji primetite da treba jos napredniji kompajler onda cekirate narednu opciju C++14

    cout << max_element(pojava.begin(), pojava.end(),
                        [](const pair<string,int>& p1, const pair<string,int>& p2){
                        return p1.second < p2.second;})->second << endl;

    // drugi nacin je da koristimo auto
    /*
    cout << max_element(pojava.begin(), pojava.end(),
                        [](const auto& p1, const auto& p2){
                        return p1.second < p2.second;})->second << endl;
    */

    return 0;
}
